echo off
::
REM LUNAR Silver Star Story Script, Public Beta v1.1
::
:: Prior to running this batch file:
:: A.) Copy the Lunar SSS cd bin/cue image to 
:: CD_Files\Lunar_SSS\Image\ and name the cue file lunar-silver_star_story.cue 
:: B.) Copy US PSX TEXTXXX.DAT files to CD_Files\Lunar_PSX


::  *************************
REM ** Step 0 - Extract CD **
::  *************************
cd /d %~dp0
Tools\vcd_extract\vcdextract.exe --extract=Build\CD CD_Files\Lunar_SSS\Image\lunar-silver_star_story.cue
pause
cd CD_Files\Lunar_PSX\
..\..\Tools\psx_fil_extract\psx_fil_extract.exe LUNADATA.FIL
cd ..\..\
pause

::  ************************************
REM ** Step 1 - CREATE NEW SYSTEM.DAT **
::  ************************************

echo on
COPY /B Build\CD\Files\SYSTEM.DAT Build\tmp\SYSTEM.DAT
Tools\xdelta\xdelta3-3.0.11-i686.exe -f -d -s Build\tmp\SYSTEM.DAT xdelta_files\systemdat\systemdat_patch.xdelta3 Build\CD\Files\SYSTEM.DAT
pause

:: ***************************************************
:: ** Step 2 - Update 0 exe file using xdelta patch **
:: ***************************************************
COPY /B Build\CD\Files\0 Build\tmp\File_0\0
Tools\xdelta\xdelta3-3.0.11-i686.exe -f -d -s Build\tmp\File_0\0 xdelta_files\0_exe\0_dlg_menu_patch.xdelta3 Build\CD\Files\0
pause

:: *******************************************
:: ** Step 3 - CREATE NEW TEXTXXX.DAT Files **
:: *******************************************

:: These files hold the dialog script for the game
CALL Scripts\extract_psx_eng.bat
pause

:: Sega Saturn Error Msgs
CALL Scripts\extract_sss.bat
Tools\xdelta\xdelta3-3.0.11-i686.exe -f -d -s Build\tmp\TEXTXXX\TEXT100.TXT xdelta_files\text_100\TEXT_100_FIX.xdelta3 Build\tmp\TEXTXXX\TEXT100F.TXT
pause

CALL Scripts\convert_psx_to_sat.bat
pause

:: ********************************
:: ** Step 4 - RECREATE CD Image **
:: ********************************
CALL Scripts\create_iso.bat

pause
